// Karma configuration
// Generated on Fri Dec 04 2015 17:29:55 GMT-0800 (PST)

module.exports = function(config) {

  config.set({

    // base path that will be used to resolve all patterns (eg. files, exclude)
    basePath: "",


    // frameworks to use
    // available frameworks: https://npmjs.org/browse/keyword/karma-adapter
    frameworks: ["mocha", "sinon", "fixture", "chai"],


    // list of files / patterns to load in the browser
    files: [
      "bliss.shy.js",
      "bliss._.js",
      "tests/helpers.js",
      "tests/**/*.js",
      "tests/fixtures/**/*.html"
    ],


    // list of files to exclude
    exclude: [
    ],


    // preprocess matching files before serving them to the browser
    // available preprocessors: https://npmjs.org/browse/keyword/karma-preprocessor
    preprocessors: {
      "**/*.html": ["html2js"],
      // "tests/**/*.js": ["eslint"],
      // "*.js": ["eslint"]
    },

    // eslint: {
    //   stopOnError: true,
    //   stopOnWarning: true,
    //   showWarnings: true,
    //   engine: {
    //     configFile: ".eslintrc.json"
    //   }
    // },

    // test results reporter to use
    // possible values: 'dots', 'progress'
    // available reporters: https://npmjs.org/browse/keyword/karma-reporter
    reporters: ["progress"],


    // web server port
    port: 9876,


    // enable / disable colors in the output (reporters and logs)
    colors: true,


    // level of logging
    // possible values: config.LOG_DISABLE || config.LOG_ERROR || config.LOG_WARN || config.LOG_INFO || config.LOG_DEBUG
    logLevel: config.LOG_INFO,


    // enable / disable watching file and executing tests whenever any file changes
    autoWatch: true,


    customLaunchers: {

      Chrome_travis_ci: {
        base: "Chrome",
        flags: ["--no-sandbox"]
      }

    },


    // start these browsers
    // available browser launchers: https://npmjs.org/browse/keyword/karma-launcher
    browsers: ["Chrome_travis_ci"],


    // Continuous Integration mode
    // if true, Karma captures browsers, runs the tests and exits
    singleRun: false,

    // Concurrency level
    // how many browser should be started simultanous
    concurrency: Infinity
  });

};
